[layerindex][PATCH 15/18] Dockerfile: fix warnings


Tim Orling
 

* Define LANGUAGE
* Set DEBIAN_FRONTEND=noninteractive before apt call

Signed-off-by: Tim Orling <tim.orling@konsulko.com>
---
Dockerfile | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/Dockerfile b/Dockerfile
index f6623fa..25ab5ea 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -4,6 +4,7 @@ FROM debian:buster
LABEL maintainer="Michael Halstead <mhalstead@linuxfoundation.org>"

ENV PYTHONUNBUFFERED=1 \
+ LANGUAGE=en_US \
LANG=en_US.UTF-8 \
LC_ALL=en_US.UTF-8 \
LC_CTYPE=en_US.UTF-8
@@ -15,7 +16,7 @@ ENV PYTHONUNBUFFERED=1 \
# NOTE: we don't purge gcc below as we have some places in the OE metadata that look for it

COPY requirements.txt /
-RUN apt-get update \
+RUN DEBIAN_FRONTEND=noninteractive apt-get update \
&& apt-get install -y --no-install-recommends \
autoconf \
g++ \
--
2.30.2